> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/vdi-platform-specific-deployment-scenarios/citrix-daas-cloud.md).

# Citrix DaaS (クラウド)

Citrix DaaS はクラウド上で実行されますが、VM はクラウドプロバイダーによってホストされています。 これにより、組織はクラウドプロバイダーが提供するスケーラブルなインフラストラクチャを活用しながら、仮想デスクトップを集中的に管理することができます。 これは、オンプレミスのデータセンターへの依存を減らしつつ、仮想デスクトップのプロビジョニングにおいて柔軟性を維持したいと考えている企業で一般的に利用されています。

{% stepper %}
{% step %}
**コネクタのセットアップ**

Nexthink を Citrix DaaS API に接続してセッションメタデータを取り込むように構成します。 このステップにより、VDI エクスペリエンスモジュール内でインサイトを充実させるためのコンテキストデータが利用可能になります。

コネクタを設定するには、「[Citrix DaaSコネクタ](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-citrix-daas.md)」の手順を実行してください。
{% endstep %}

{% step %}
**VM に Collector をインストールする**

{% hint style="warning" %}
**Citrix App Layering** を使用している場合、**Nexthink Collector を Platform Layer または Golden Image にインストールしてください**。**App Layer としてインストールしないでください**。 これにより以下が保証されます。

* サービスが正しく登録されます。
* ドライバーや起動時の動作が一貫しています。
* テレメトリー用のデバイス識別子がデスクトップごとに保持されます。
  {% endhint %}

**手動または自動によるデプロイ**

* **共有 VDI（Citrix マルチセッションホスト）**: クラウドプラットフォーム上に展開された Citrix マルチセッションホストに Collector をインストールします。 セッションホストがドメイン参加し、適切なサイズでプロビジョニングされていることを確認してください。
* **パーソナル VDI（Citrix XenDesktop - 永続的）**: 永続的なデスクトップのプロビジョニングまたはオンボーディング時に、標準エージェントとして Collector をインストールします。

両方のシナリオにおいて、以下のドキュメントに記載されている手順を実行してください。

1. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#configuring-collector-for-vms)
2. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installing-collector-on-vms)
3. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installingcollectoronwindows-deployingcollectorusingactivedirectorygrouppolicy-1)

**ゴールデンイメージベースのデプロイ**

プールされた VDI（Citrix XenDesktop - 非永続的）は展開に黄金イメージを使用します。

以下のドキュメントに記載されている手順を実行してください。

1. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#configuring-collector-for-vms)
2. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installing-collector-on-vms)
3. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installingcollectoronwindows-deployingcollectorwithinawindowsreferenceimage)
   {% endstep %}

{% step %}
**コネクタと Collector のテスト**

**コネクタ**

コネクタ統合からの情報でデバイスおよびセッションデータが強化されていることを、次のフィールドを確認して確認してください：

* ディスクイメージ
* デスクトッププール
* 仮想化タイプ

エンリッチメントをテストするには、VM に Collector がインストールされ、稼働していることを確認してください。 期待されるデバイスが報告され、表示される値が想定通りであることを次のクエリを実行して確認してください：

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == citrix_daas
| list name, hardware.type, virtualization.disk_image, virtualization.desktop_pool, virtualization.environment_name, virtualization.hypervisor_name, virtualization.type, virtualization.last_update
| sort virtualization.last_update desc
```

{% endcode %}

クエリの実行に関する詳細は、[Investigations](/platform/ja/user-guide/investigations.md)ドキュメントを参照してください。

**VM 上の Collector**

{% hint style="info" %}
必要に応じて、Nexthink サポートまたは担当代表者にお問い合わせください。
{% endhint %}

**共有 VDI (Citrix マルチセッション ホスト)**

次のようなデータがNexthinkで可視化されていることを確認してください：

* デバイス ID
* ユーザー名
* デスクトッププール

これを確認するには、次のクエリを実行してください：

{% code lineNumbers="true" %}

```sql
vdi_sessions
| where device.virtualization.desktop_broker == citrix_daas and vdi_session.virtualization_type == shared
| list vdi_session.name, user.name, device.name, desktop_pool, first_seen
| sort first_seen desc
```

{% endcode %}

**プール型 VDI (Citrix XenDesktop – 非永続的)**

展開後、インスタンスが次の情報を報告していることを確認してください：

* ユニークデバイス ID
* 正確なプール名
* 新鮮なブート時間

これを確認するには、次のクエリを実行してください：

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == citrix_daas and virtualization.type == pooled
| list device.name, virtualization.desktop_pool, boot.last_full_boot_time
| sort boot.last_full_boot_time desc
```

{% endcode %}

**パーソナル VDI (Citrix XenDesktop – 永続的)**

以下の情報が一貫して報告されていることを確認してください：

* デバイス ID と割り当てられたユーザー
* 再起動およびログオン間のシステム稼働時間

これを確認するには、次のクエリを実行してください：

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == citrix_daas and virtualization.type == personal
| with session.vdi_events during past 168h
| compute number_of_sessions = vdi_session.count(), time_since_session_last_seen = end_time.last().time_elapsed(), last_user = user.name.last()
| include device_performance.boots during past 168h
| compute number_of_restarts = number_of_boots.sum()
| include session.logins during past 168h
| compute time_since_last_login = time.last().time_elapsed(), number_of_logons = number_of_logins.sum()
| list name, last_user, number_of_sessions, time_since_session_last_seen, number_of_logons, time_since_last_login, number_of_restarts, boot.last_full_boot_time.time_elapsed(), last_seen.time_elapsed()
| sort time_since_session_last_seen desc
```

{% endcode %}
{% endstep %}

{% step %}
**エンドポイントエージェントをクライアントデバイスにインストールする**

{% hint style="info" %}
クライアントOSがWindows 10またはそれ以降のバージョンであり、Citrix Workspaceアプリのバージョンがv2205以上であることを確認してください。
{% endhint %}

[Citrix 仮想チャネル許可リストの設定](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/windows-collector-references/citrix-virtual-channel-allowlist-configuration.md) ドキュメントで説明されているように、Dynamic Virtual Channel (DVC) を許可してください。

**企業管理デバイスへの Collector のインストール**

組織で集中管理されているクライアントデバイスに対して、Collector を好みのソフトウェア配布ツールを使用して適用可能なすべてのデバイスに配布します。

「[Collectorをインストールする](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector.md)」ドキュメントに記載された手順を実行してください。

{% hint style="info" %}
VDI クライアント拡張機能は Collector に組み込まれており、別途インストールする必要はありません。
{% endhint %}

**個人または自己管理デバイスへの VDI 拡張のインストール**

パーソナルもしくは自己管理されているクライアントデバイスには、VDI クライアント拡張機能をインストールできるようにします。 この軽量エージェントは、完全な Collector の展開を必要とせずにクライアント側の限定的ながら貴重なメトリクスを提供します。

[Nexthink VDIクライアント拡張機能のインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/installing-the-nexthink-vdi-client-extension.md)ドキュメントに記載された手順を実行してください。
{% endstep %}

{% step %}
**クライアントデバイスをテストする**

**企業管理デバイス**

管理されたクライアントデバイスから起動されたセッションについて、次のフィールドの可視性を確認してください：

* ラウンドトリップタイム
* クライアントCPU使用率
* Wi-Fi信号強度
* リンク速度

ネットワークRTTはVMにのみCollectorがインストールされている場合でも確認可能ですが、完全なクライアント性能データの取得にはクライアントデバイスにCollectorがインストールされる必要があります。 インストールを検証するには、セッション用のクライアントメトリクスが報告されていることを確認します。

クライアントデバイスに Collector がインストールされ、Nexthink インスタンスにデータを報告している場合、その名前は Device View へのリンクとして表示され、詳細情報やアクティビティにアクセスできます。

これを確認するには、次のクエリを実行してください：

{% code lineNumbers="true" %}

```sql
vdi_sessions
| with session.vdi_events during past 168h
| compute average_network_rtt = network_rtt.avg(), average_wifi_signal_strength = client.network.wifi_signal_strength.avg(), average_link_speed = client.network.wired_link_speed.avg(), average_client_cpu_usage = client.cpu.normalized_usage.avg(), last_client_plugin_version = client.plugin_version.last()
| list vdi_session.name, device.name, user.name, name, last_client.device.name, last_client_plugin_version, average_network_rtt, average_wifi_signal_strength, average_link_speed, average_client_cpu_usage
| sort last_seen desc
```

{% endcode %}

**パートナー管理デバイスまたは持ち込みデバイス（BYOD）**

外部で管理されているクライアントデバイスから起動されたセッションについて、次のフィールドの可視性を確認してください：

* ラウンドトリップタイム
* Wi-Fi 信号強度
* リンク速度

ネットワークRTTはVMにのみCollectorがインストールされている場合でも確認可能ですが、完全なネットワーク性能データの取得にはクライアントデバイスにCollectorまたはVDIクライアント拡張がインストールされる必要があります。 インストールを検証するには、セッション用のネットワーキングメトリクスが報告されていることを確認します。

VDI クライアントの拡張機能がインストールされている場合は、追加のデバイスデータはキャプチャされず、そのためクライアントデバイスの Device View は使用できません。 この場合、クライアント関連のパフォーマンス情報はVDIセッション内でのみ報告されます。

これを確認するには、次のクエリを実行してください：

{% code lineNumbers="true" %}

```sql
vdi_sessions
| with session.vdi_events during past 168h
| compute average_network_rtt = network_rtt.avg(), average_wifi_signal_strength = client.network.wifi_signal_strength.avg(), average_link_speed = client.network.wired_link_speed.avg(), average_client_cpu_usage = client.cpu.normalized_usage.avg(), last_client_plugin_version = client.plugin_version.last()
| list vdi_session.name, device.name, user.name, name, last_client.device.name, last_client_plugin_version, average_network_rtt, average_wifi_signal_strength, average_link_speed, average_client_cpu_usage
| sort last_seen desc
```

{% endcode %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/vdi-platform-specific-deployment-scenarios/citrix-daas-cloud.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
